Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.management.j2ee.statistics
Class BoundaryStatisticImpl

    java.lang.Object
      org.jboss.management.j2ee.statistics.StatisticImpl
          org.jboss.management.j2ee.statistics.BoundaryStatisticImpl

All Implemented Interfaces:
  javax.management.j2ee.statistics.BoundaryStatistic, Serializable, javax.management.j2ee.statistics.Statistic

public class BoundaryStatisticImpl
extends StatisticImpl
implements javax.management.j2ee.statistics.BoundaryStatistic

This class is the JBoss specific Boundary Statistics class allowing just to increase and resetStats the instance.

Version:
  $Revision: 1.4 $
Author:
  Scott McLaughlin
See Also:
  Serialized Form

Field Summary
`protected long` | `mLowerBound`
`protected long` | `mUpperBound`

Fields inherited from class org.jboss.management.j2ee.statistics.StatisticImpl
`description, lastSampleTime, name, startTime, units`

Constructor Summary
`BoundaryStatisticImpl(String pName, String pUnit, String pDescription, long lowerBound, long upperBound)` Default (no-args) constructor

Method Summary
`long` | `getLowerBound()` The lower limit of the value of this attribute.The upper limit of the value of this attribute.
`long` | `getUpperBound()` The upper limit of the value of this attribute.
`String` | `toString()`

Methods inherited from class org.jboss.management.j2ee.statistics.StatisticImpl
`getDescription, getLastSampleTime, getName, getStartTime, getUnit, reset, set`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.management.j2ee.statistics.Statistic
`getDescription, getLastSampleTime, getName, getStartTime, getUnit`

Field Detail

### mLowerBound

    protected long mLowerBound

### mUpperBound

    protected long mUpperBound

Constructor Detail

### BoundaryStatisticImpl

    public BoundaryStatisticImpl(String pName,
                                 String pUnit,
                                 String pDescription,
                                 long lowerBound,
                                 long upperBound)

  Default (no-args) constructor

Method Detail

### getLowerBound

    public long getLowerBound()

  Description copied from interface: `javax.management.j2ee.statistics.BoundaryStatistic`
  The lower limit of the value of this attribute.The upper limit of the value of this attribute.

  Specified by:
    `getLowerBound` in interface `javax.management.j2ee.statistics.BoundaryStatistic`
  Returns:
    The value of LowerBound

### getUpperBound

    public long getUpperBound()

  Description copied from interface: `javax.management.j2ee.statistics.BoundaryStatistic`
  The upper limit of the value of this attribute.

  Specified by:
    `getUpperBound` in interface `javax.management.j2ee.statistics.BoundaryStatistic`
  Returns:
    The value of UpperBound

### toString

    public String toString()

  Overrides:
    `toString` in class `StatisticImpl`
  Returns:
    Debug Information about this Instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.